Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rapi
Interface OdeRTInstanceContext

All Superinterfaces:
  IOContext, ProcessControlContext, RecoveryContext, VariableContext

    public interface OdeRTInstanceContext

extends IOContext, ProcessControlContext, RecoveryContext, VariableContext

A collection of interfaces that are implemented by the engine for the benefit of the runtime. These interfaces expose facilities such as variables, communication, timed interrupts, process control, and recovery management.

The basic idea here is that the engine provides "language-neutral" facilities, and the runtime is responsible for all the BPEL-specifics. In theory, one could implement a non-BPEL runtime on top of the engine. In other words, this interface is the wall that prevents BPEL, and JACOB specific things from getting into the engine (some concesssion is made to BPEL when it comes to the notion of partner links).

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.ode.bpel.rapi.VariableContext
`VariableContext.ValueReferencePair`

Method Summary
`long` | `genId()` Generate a unique (and monotonic) ID in the context of this instance.
`int` | `getAtomicScopeRetryDelay()`
`java.lang.Long` | `getPid()`
`org.w3c.dom.Node` | `getProcessProperty(javax.xml.namespace.QName propertyName)`
`boolean` | `isAtomicScopeFirstTry()`
`boolean` | `isAtomicScopeRetryable()`
`void` | `noreply(java.lang.String mexId, FaultInfo optionalFaultData)`
`void` | `sendEvent(ProcessInstanceEvent event)` Sends the bpel event.
`void` | `setAtomicScope(boolean atomicScope)`
`void` | `setAtomicScopeRetriedOnce()`
`void` | `setAtomicScopeRetriesDone()`

Methods inherited from interface org.apache.ode.bpel.rapi.IOContext
`cancelSelect, cancelTimer, getMyRequest, getPartnerFault, getPartnerFaultExplanation, getPartnerResponse, getPartnerResponseType, getSourceEPR, getSourceSessionId, invoke, registerTimer, releasePartnerMex, reply, select`

Methods inherited from interface org.apache.ode.bpel.rapi.ProcessControlContext
`completedFault, completedOk, forceFlush, forceRollback, terminate`

Methods inherited from interface org.apache.ode.bpel.rapi.RecoveryContext
`registerActivityForRecovery, unregisterActivityForRecovery`

Methods inherited from interface org.apache.ode.bpel.rapi.VariableContext
`commitChanges, convertEndpointReference, createScopeInstance, fetchMyRoleEndpointReferenceData, fetchMySessionId, fetchPartnerRoleEndpointReferenceData, fetchPartnersSessionId, fetchVariableData, initializePartnerLinks, initializePartnersSessionId, initializeVariable, isCorrelationInitialized, isPartnerRoleEndpointInitialized, isVariableInitialized, readCorrelation, readExtVar, readVariableProperty, writeCorrelation, writeEndpointReference, writeExtVar, writeVariableProperty`

Method Detail

### getPid

    java.lang.Long getPid()

### sendEvent

    void sendEvent(ProcessInstanceEvent event)

  Sends the bpel event.

  Parameters:
    `event` -

### genId

    long genId()

  Generate a unique (and monotonic) ID in the context of this instance.

  Returns:

### noreply

    void noreply(java.lang.String mexId,
                 FaultInfo optionalFaultData)

  Parameters:
    `mexId` -
    `optionalFaultData` -

### getAtomicScopeRetryDelay

    int getAtomicScopeRetryDelay()

### isAtomicScopeFirstTry

    boolean isAtomicScopeFirstTry()

### isAtomicScopeRetryable

    boolean isAtomicScopeRetryable()

### setAtomicScopeRetriedOnce

    void setAtomicScopeRetriedOnce()

### setAtomicScopeRetriesDone

    void setAtomicScopeRetriesDone()

### setAtomicScope

    void setAtomicScope(boolean atomicScope)

### getProcessProperty

    org.w3c.dom.Node getProcessProperty(javax.xml.namespace.QName propertyName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD